<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      data-namespace-typo3-fluid="true">
<div class="mahnwache" itemscope="itemscope" itemtype="http://schema.org/Article">
        <n:excludeDisplayedNews newsItem="{newsItem}"/>
           <f:if condition="{newsItem.mediaPreviews}">
                <f:then>
                    <div class="news-img-wrap py-6">
                        <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                            <f:if condition="{mediaElement.originalResource.type} == 2">

                                <picture>
                                    <source srcset="{f:uri.image(image: mediaElement, maxWidth: 1215, cropVariant: 'default')}" media="(min-width: 1200px)">
                                    <source srcset="{f:uri.image(image: mediaElement, maxWidth: 784, cropVariant: 'default')}" media="(min-width: 992px)">
                                    <source srcset="{f:uri.image(image: mediaElement, maxWidth: 720, cropVariant: 'tablet')}" media="(min-width: 768px)">
                                    <source srcset="{f:uri.image(image: mediaElement, maxWidth: 567, cropVariant: 'mobile')}, {f:uri.image(image: mediaElement, maxWidth: 1134, cropVariant: 'mobile')} 2x, , {f:uri.image(image: mediaElement, maxWidth: 1700, cropVariant: 'mobile')} 3x" media="(max-width: 767px)">
                                    <!---Fallback--->
                                    <img class="img-responsive" src="{f:uri.image(image: mediaElement, maxWidth: 1215, cropVariant: 'default')}" alt="{mediaElement.alternative}" title="{mediaElement.title}">
                                </picture>

                            </f:if>
                        </f:alias>

                    </div>
                </f:then>
                <f:else>
                    <img
                        sizes="(min-width: 768px) 90vw, (min-width: 992px) 70vw, 100vw"
                        srcset="
                            https://via.placeholder.com/360x576 360w,
                            https://via.placeholder.com/480x576 480w,
                            https://via.placeholder.com/540x480 540w,
                            https://via.placeholder.com/600x480 600w,
                            https://via.placeholder.com/784x390 784w,
                            https://via.placeholder.com/1200x290 1200w
                         "
                        src="https://via.placeholder.com/1200x290"
                        alt="Placeholder Image"
                        width="1200"
                        class="w-100"
                         >
                </f:else>
            </f:if>
    <div class="content d-flex justify-content-center justify-content-lg-between align-items-center align-items-lg-start flex-column flex-lg-row py-4 py-lg-0">
        <div class="content-left text-white">
            <h3 class="text-center text-lg-start" itemprop="headline">
                {newsItem.title -> f:format.crop(maxCharacters: '70', respectWordBoundaries:'1')}
            </h3>
            <div class="location-date d-flex justify-content-center justify-content-lg-start">
                <div class="date">
                    <time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}">
                        <i class="icon-calendar"></i> <f:format.date format="d.m.Y">{newsItem.datetime}</f:format.date>
                    </time>
                </div>
                <f:if condition="{newsItem.author}">
                    <div class="location ms-3 d-block">
                        <i class="icon-map-pin"></i> {newsItem.author}
                    </div>
                </f:if>
            </div>
        </div>
        <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}" class="btn btn-outline-light mt-3 mt-lg-0">Details ansehen</n:link>
    </div>
</div>
</html>

